<?php


return  
    [
        'model' => [
            'model' => \Bixo\Lead\Models\Lead::class,
            'table' => 'bixo_lead_leads',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['organization_id',  'branch_id',  'department_id',  'division_id',  'listing_id',  'category_type',  'category',  'campaign_id',  'country_id',  'region_id',  'location_id',  'sublocation_id',  'building_id',  'tower_id',  'contact_id',  'lead_type',  'ref',  'ref_source',  'name',  'gender',  'email',  'phone',  'mobile',  'whatsapp',  'source',  'medium',  'timezone',  'contact_at',  'website',  'listing_type',  'customer_type',  'min_price',  'max_price',  'min_area',  'max_area',  'min_bed',  'max_bed',  'lead_info',  'cc_note',  'notes',  'status',  'status_category',  'nationality',  'language',  'page_name',  'source_url',  'budget',  'timeline',  'interest',  'audios',  'form_name',  'project_name',  'client_ip',  'client_location',  'utms',  'social_ids',  'qualified_by',  'created_by'],
            'translatables' => [],
            'upload_folder' => 'lead/lead',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "organization_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.organization_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "department_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.department_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "division_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.division_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.listing_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_type", 
                "type" => "text", 
                "label" => 'lead::lead.label.category_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'lead::lead.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "campaign_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.campaign_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "region_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.region_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.building_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tower_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.tower_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'lead::lead.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_type", 
                "type" => "text", 
                "label" => 'lead::lead.label.lead_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'lead::lead.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref_source", 
                "type" => "text", 
                "label" => 'lead::lead.label.ref_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'lead::lead.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "gender", 
                "type" => "text", 
                "label" => 'lead::lead.label.gender', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'lead::lead.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'lead::lead.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'lead::lead.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "whatsapp", 
                "type" => "text", 
                "label" => 'lead::lead.label.whatsapp', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source", 
                "type" => "text", 
                "label" => 'lead::lead.label.source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "medium", 
                "type" => "text", 
                "label" => 'lead::lead.label.medium', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "timezone", 
                "type" => "text", 
                "label" => 'lead::lead.label.timezone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_at", 
                "type" => "text", 
                "label" => 'lead::lead.label.contact_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "website", 
                "type" => "text", 
                "label" => 'lead::lead.label.website', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_type", 
                "type" => "text", 
                "label" => 'lead::lead.label.listing_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_type", 
                "type" => "text", 
                "label" => 'lead::lead.label.customer_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "min_price", 
                "type" => "text", 
                "label" => 'lead::lead.label.min_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "max_price", 
                "type" => "text", 
                "label" => 'lead::lead.label.max_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "min_area", 
                "type" => "text", 
                "label" => 'lead::lead.label.min_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "max_area", 
                "type" => "text", 
                "label" => 'lead::lead.label.max_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "min_bed", 
                "type" => "text", 
                "label" => 'lead::lead.label.min_bed', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "max_bed", 
                "type" => "text", 
                "label" => 'lead::lead.label.max_bed', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lead_info", 
                "type" => "text", 
                "label" => 'lead::lead.label.lead_info', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cc_note", 
                "type" => "text", 
                "label" => 'lead::lead.label.cc_note', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'lead::lead.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "status_category", 
                "type" => "text", 
                "label" => 'lead::lead.label.status_category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nationality", 
                "type" => "text", 
                "label" => 'lead::lead.label.nationality', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "language", 
                "type" => "text", 
                "label" => 'lead::lead.label.language', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "page_name", 
                "type" => "text", 
                "label" => 'lead::lead.label.page_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source_url", 
                "type" => "text", 
                "label" => 'lead::lead.label.source_url', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "budget", 
                "type" => "text", 
                "label" => 'lead::lead.label.budget', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "timeline", 
                "type" => "text", 
                "label" => 'lead::lead.label.timeline', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "interest", 
                "type" => "text", 
                "label" => 'lead::lead.label.interest', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "audios", 
                "type" => "text", 
                "label" => 'lead::lead.label.audios', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "form_name", 
                "type" => "text", 
                "label" => 'lead::lead.label.form_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name", 
                "type" => "text", 
                "label" => 'lead::lead.label.project_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_ip", 
                "type" => "text", 
                "label" => 'lead::lead.label.client_ip', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_location", 
                "type" => "text", 
                "label" => 'lead::lead.label.client_location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "utms", 
                "type" => "text", 
                "label" => 'lead::lead.label.utms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "social_ids", 
                "type" => "text", 
                "label" => 'lead::lead.label.social_ids', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "qualified_by", 
                "type" => "text", 
                "label" => 'lead::lead.label.qualified_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "created_by", 
                "type" => "text", 
                "label" => 'lead::lead.label.created_by', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'organization_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.organization_id',
                "placeholder" => 'lead::lead.placeholder.organization_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.branch_id',
                "placeholder" => 'lead::lead.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'department_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.department_id',
                "placeholder" => 'lead::lead.placeholder.department_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'division_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.division_id',
                "placeholder" => 'lead::lead.placeholder.division_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.listing_id',
                "placeholder" => 'lead::lead.placeholder.listing_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'lead::lead.label.category_type',
                "placeholder" => 'lead::lead.placeholder.category_type',
                "rules" => '',
                "options" => function(){
                    return trans('lead::lead.options.category_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.category',
                "placeholder" => 'lead::lead.placeholder.category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'campaign_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.campaign_id',
                "placeholder" => 'lead::lead.placeholder.campaign_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.country_id',
                "placeholder" => 'lead::lead.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'region_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.region_id',
                "placeholder" => 'lead::lead.placeholder.region_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.location_id',
                "placeholder" => 'lead::lead.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.sublocation_id',
                "placeholder" => 'lead::lead.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.building_id',
                "placeholder" => 'lead::lead.placeholder.building_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tower_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.tower_id',
                "placeholder" => 'lead::lead.placeholder.tower_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.contact_id',
                "placeholder" => 'lead::lead.placeholder.contact_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'lead::lead.label.lead_type',
                "placeholder" => 'lead::lead.placeholder.lead_type',
                "rules" => '',
                "options" => function(){
                    return trans('lead::lead.options.lead_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.ref',
                "placeholder" => 'lead::lead.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.ref_source',
                "placeholder" => 'lead::lead.placeholder.ref_source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.name',
                "placeholder" => 'lead::lead.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'gender',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'lead::lead.label.gender',
                "placeholder" => 'lead::lead.placeholder.gender',
                "rules" => '',
                "options" => function(){
                    return trans('lead::lead.options.gender');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.email',
                "placeholder" => 'lead::lead.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.phone',
                "placeholder" => 'lead::lead.placeholder.phone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.mobile',
                "placeholder" => 'lead::lead.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'whatsapp',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.whatsapp',
                "placeholder" => 'lead::lead.placeholder.whatsapp',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.source',
                "placeholder" => 'lead::lead.placeholder.source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'medium',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.medium',
                "placeholder" => 'lead::lead.placeholder.medium',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'timezone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.timezone',
                "placeholder" => 'lead::lead.placeholder.timezone',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'lead::lead.label.contact_at',
                "placeholder" => 'lead::lead.placeholder.contact_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'website',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.website',
                "placeholder" => 'lead::lead.placeholder.website',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'lead::lead.label.listing_type',
                "placeholder" => 'lead::lead.placeholder.listing_type',
                "rules" => '',
                "options" => function(){
                    return trans('lead::lead.options.listing_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'lead::lead.label.customer_type',
                "placeholder" => 'lead::lead.placeholder.customer_type',
                "rules" => '',
                "options" => function(){
                    return trans('lead::lead.options.customer_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'min_price',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.min_price',
                "placeholder" => 'lead::lead.placeholder.min_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'max_price',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.max_price',
                "placeholder" => 'lead::lead.placeholder.max_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'min_area',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.min_area',
                "placeholder" => 'lead::lead.placeholder.min_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'max_area',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.max_area',
                "placeholder" => 'lead::lead.placeholder.max_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'min_bed',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.min_bed',
                "placeholder" => 'lead::lead.placeholder.min_bed',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'max_bed',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.max_bed',
                "placeholder" => 'lead::lead.placeholder.max_bed',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lead_info',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.lead_info',
                "placeholder" => 'lead::lead.placeholder.lead_info',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cc_note',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.cc_note',
                "placeholder" => 'lead::lead.placeholder.cc_note',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.notes',
                "placeholder" => 'lead::lead.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'status_category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.status_category',
                "placeholder" => 'lead::lead.placeholder.status_category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nationality',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.nationality',
                "placeholder" => 'lead::lead.placeholder.nationality',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'language',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.language',
                "placeholder" => 'lead::lead.placeholder.language',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'page_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.page_name',
                "placeholder" => 'lead::lead.placeholder.page_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source_url',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.source_url',
                "placeholder" => 'lead::lead.placeholder.source_url',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'budget',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.budget',
                "placeholder" => 'lead::lead.placeholder.budget',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'timeline',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.timeline',
                "placeholder" => 'lead::lead.placeholder.timeline',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'interest',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.interest',
                "placeholder" => 'lead::lead.placeholder.interest',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'audios',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.audios',
                "placeholder" => 'lead::lead.placeholder.audios',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'form_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.form_name',
                "placeholder" => 'lead::lead.placeholder.form_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.project_name',
                "placeholder" => 'lead::lead.placeholder.project_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_ip',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.client_ip',
                "placeholder" => 'lead::lead.placeholder.client_ip',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.client_location',
                "placeholder" => 'lead::lead.placeholder.client_location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'utms',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.utms',
                "placeholder" => 'lead::lead.placeholder.utms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'social_ids',
                "element" => 'text',
                "type" => 'text',
                "label" => 'lead::lead.label.social_ids',
                "placeholder" => 'lead::lead.placeholder.social_ids',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'qualified_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.qualified_by',
                "placeholder" => 'lead::lead.placeholder.qualified_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'created_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::lead.label.created_by',
                "placeholder" => 'lead::lead.placeholder.created_by',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'lead/lead/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'lead/lead/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'lead/lead',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'lead/lead',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'lead/lead',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'lead/lead',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'lead::lead.label.created_at',
            'name' => 'lead::lead.label.name',
            'status' => 'lead::lead.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "lead::lead.groups.main",
                'group' => "main.main",
                'title' => "lead::lead.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "lead::lead.groups.details",
                'group' => "main.details",
                'title' => "lead::lead.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "lead::lead.groups.images",
                'group' => "main.images",
                'title' => "lead::lead.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "lead::lead.groups.settings",
                'group' => "main.settings",
                'title' => "lead::lead.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Lead',
            'module' => 'Lead',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Lead\Models\Lead::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'lead::lead.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['lead.lead.copy', 'lead.lead.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'lead::lead.label.count',
                        "placeholder" => 'lead::lead.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'lead::lead.label.comment',
                        "placeholder" => 'lead::lead.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'lead::lead.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'lead::lead.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
