<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoLeadLeadsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_lead_leads
         */
        Schema::create('bixo_lead_leads', function ($table) {
            $table->increments('id');
            $table->integer('organization_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('division_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->enum('category_type', ['Yes', 'No'])->nullable();
            $table->string('category', 50)->nullable();
            $table->integer('campaign_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('region_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('building_id')->nullable();
            $table->integer('tower_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->enum('lead_type', ['Yes', 'No'])->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('ref_source', 50)->nullable();
            $table->string('name', 75)->nullable();
            $table->enum('gender', ['Yes', 'No'])->nullable();
            $table->string('email', 50)->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('mobile', 50)->nullable();
            $table->string('whatsapp', 50)->nullable();
            $table->string('source', 80)->nullable();
            $table->string('medium', 100)->nullable();
            $table->string('timezone', 200)->nullable();
            $table->dateTime('contact_at')->nullable();
            $table->string('website', 200)->nullable();
            $table->enum('listing_type', ['Yes', 'No'])->nullable();
            $table->enum('customer_type', ['Yes', 'No'])->nullable();
            $table->integer('min_price')->nullable();
            $table->integer('max_price')->nullable();
            $table->integer('min_area')->nullable();
            $table->integer('max_area')->nullable();
            $table->integer('min_bed')->nullable();
            $table->integer('max_bed')->nullable();
            $table->text('lead_info')->nullable();
            $table->text('cc_note')->nullable();
            $table->text('notes')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('status_category', 30)->nullable();
            $table->string('nationality', 80)->nullable();
            $table->string('language', 200)->nullable();
            $table->string('page_name', 50)->nullable();
            $table->string('source_url', 1000)->nullable();
            $table->integer('budget')->nullable();
            $table->integer('timeline')->nullable();
            $table->integer('interest')->nullable();
            $table->text('audios')->nullable();
            $table->string('form_name', 250)->nullable();
            $table->string('project_name', 250)->nullable();
            $table->string('client_ip', 200)->nullable();
            $table->string('client_location', 70)->nullable();
            $table->text('utms')->nullable();
            $table->text('social_ids')->nullable();
            $table->integer('qualified_by')->nullable();
            $table->integer('created_by')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_lead_leads');
    }
}
