<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for lead in lead package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  lead module in lead package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Lead',
    'names' => 'Leads',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Leads',
        'sub' => 'Leads'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'category_type' => 
            [
                                
                [
                    'key'    => 'Residential',
                    'value'  => 'Residential',
                    'text'   => 'Residential',
                ],
                                
                [
                    'key'    => 'Commercial',
                    'value'  => 'Commercial',
                    'text'   => 'Commercial',
                ],
                                
            ],

        'lead_type' => 
            [
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
                [
                    'key'    => 'General',
                    'value'  => 'General',
                    'text'   => 'General',
                ],
                                
                [
                    'key'    => 'Offplan',
                    'value'  => 'Offplan',
                    'text'   => 'Offplan',
                ],
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
            ],

        'gender' => 
            [
                                
                [
                    'key'    => 'Male',
                    'value'  => 'Male',
                    'text'   => 'Male',
                ],
                                
                [
                    'key'    => 'Female',
                    'value'  => 'Female',
                    'text'   => 'Female',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'listing_type' => 
            [
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
            ],

        'customer_type' => 
            [
                                
                [
                    'key'    => 'Buyer - Investor',
                    'value'  => 'Buyer - Investor',
                    'text'   => 'Buyer - Investor',
                ],
                                
                [
                    'key'    => 'Buyer - End User',
                    'value'  => 'Buyer - End User',
                    'text'   => 'Buyer - End User',
                ],
                                
                [
                    'key'    => 'Tenant',
                    'value'  => 'Tenant',
                    'text'   => 'Tenant',
                ],
                                
                [
                    'key'    => 'Agent With Buyer',
                    'value'  => 'Agent With Buyer',
                    'text'   => 'Agent With Buyer',
                ],
                                
                [
                    'key'    => 'Agent With Investor',
                    'value'  => 'Agent With Investor',
                    'text'   => 'Agent With Investor',
                ],
                                
                [
                    'key'    => 'Agent With Tenant',
                    'value'  => 'Agent With Tenant',
                    'text'   => 'Agent With Tenant',
                ],
                                
                [
                    'key'    => 'Seller',
                    'value'  => 'Seller',
                    'text'   => 'Seller',
                ],
                                
                [
                    'key'    => 'Landlord',
                    'value'  => 'Landlord',
                    'text'   => 'Landlord',
                ],
                                
                [
                    'key'    => 'Seller + Landlord',
                    'value'  => 'Seller + Landlord',
                    'text'   => 'Seller + Landlord',
                ],
                                
                [
                    'key'    => 'Mortgage',
                    'value'  => 'Mortgage',
                    'text'   => 'Mortgage',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Qualified',
                    'value'  => 'Qualified',
                    'text'   => 'Qualified',
                ],
                                
                [
                    'key'    => 'Prequalified',
                    'value'  => 'Prequalified',
                    'text'   => 'Prequalified',
                ],
                                
                [
                    'key'    => 'Dead Lead',
                    'value'  => 'Dead Lead',
                    'text'   => 'Dead Lead',
                ],
                                
                [
                    'key'    => 'Disqualified',
                    'value'  => 'Disqualified',
                    'text'   => 'Disqualified',
                ],
                                
                [
                    'key'    => 'System',
                    'value'  => 'System',
                    'text'   => 'System',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'organization_id'            => 'Please enter organization id',
        'branch_id'                  => 'Please enter branch id',
        'department_id'              => 'Please enter department id',
        'division_id'                => 'Please enter division id',
        'listing_id'                 => 'Please enter listing id',
        'category_type'              => 'Please select category type',
        'category'                   => 'Please enter category',
        'campaign_id'                => 'Please enter campaign id',
        'country_id'                 => 'Please enter country id',
        'region_id'                  => 'Please enter region id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'building_id'                => 'Please enter building id',
        'tower_id'                   => 'Please enter tower id',
        'contact_id'                 => 'Please enter contact id',
        'lead_type'                  => 'Please select lead type',
        'ref'                        => 'Please enter ref',
        'ref_source'                 => 'Please enter ref source',
        'name'                       => 'Please enter name',
        'gender'                     => 'Please select gender',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'mobile'                     => 'Please enter mobile',
        'whatsapp'                   => 'Please enter whatsapp',
        'source'                     => 'Please enter source',
        'medium'                     => 'Please enter medium',
        'timezone'                   => 'Please enter timezone',
        'contact_at'                 => 'Please select contact at',
        'website'                    => 'Please enter website',
        'listing_type'               => 'Please select listing type',
        'customer_type'              => 'Please select customer type',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'min_area'                   => 'Please enter min area',
        'max_area'                   => 'Please enter max area',
        'min_bed'                    => 'Please enter min bed',
        'max_bed'                    => 'Please enter max bed',
        'lead_info'                  => 'Please enter lead info',
        'cc_note'                    => 'Please enter cc note',
        'notes'                      => 'Please enter notes',
        'status'                     => 'Please select status',
        'status_category'            => 'Please enter status category',
        'nationality'                => 'Please enter nationality',
        'language'                   => 'Please enter language',
        'page_name'                  => 'Please enter page name',
        'source_url'                 => 'Please enter source url',
        'budget'                     => 'Please enter budget',
        'timeline'                   => 'Please enter timeline',
        'interest'                   => 'Please enter interest',
        'audios'                     => 'Please enter audios',
        'form_name'                  => 'Please enter form name',
        'project_name'               => 'Please enter project name',
        'client_ip'                  => 'Please enter client ip',
        'client_location'            => 'Please enter client location',
        'utms'                       => 'Please enter utms',
        'social_ids'                 => 'Please enter social ids',
        'qualified_by'               => 'Please enter qualified by',
        'created_by'                 => 'Please enter created by',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'organization_id'            => 'Organization id',
        'branch_id'                  => 'Branch id',
        'department_id'              => 'Department id',
        'division_id'                => 'Division id',
        'listing_id'                 => 'Listing id',
        'category_type'              => 'Category type',
        'category'                   => 'Category',
        'campaign_id'                => 'Campaign id',
        'country_id'                 => 'Country id',
        'region_id'                  => 'Region id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'building_id'                => 'Building id',
        'tower_id'                   => 'Tower id',
        'contact_id'                 => 'Contact id',
        'lead_type'                  => 'Lead type',
        'ref'                        => 'Ref',
        'ref_source'                 => 'Ref source',
        'name'                       => 'Name',
        'gender'                     => 'Gender',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'mobile'                     => 'Mobile',
        'whatsapp'                   => 'Whatsapp',
        'source'                     => 'Source',
        'medium'                     => 'Medium',
        'timezone'                   => 'Timezone',
        'contact_at'                 => 'Contact at',
        'website'                    => 'Website',
        'listing_type'               => 'Listing type',
        'customer_type'              => 'Customer type',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'min_area'                   => 'Min area',
        'max_area'                   => 'Max area',
        'min_bed'                    => 'Min bed',
        'max_bed'                    => 'Max bed',
        'lead_info'                  => 'Lead info',
        'cc_note'                    => 'Cc note',
        'notes'                      => 'Notes',
        'status'                     => 'Status',
        'status_category'            => 'Status category',
        'nationality'                => 'Nationality',
        'language'                   => 'Language',
        'page_name'                  => 'Page name',
        'source_url'                 => 'Source url',
        'budget'                     => 'Budget',
        'timeline'                   => 'Timeline',
        'interest'                   => 'Interest',
        'audios'                     => 'Audios',
        'form_name'                  => 'Form name',
        'project_name'               => 'Project name',
        'client_ip'                  => 'Client ip',
        'client_location'            => 'Client location',
        'utms'                       => 'Utms',
        'social_ids'                 => 'Social ids',
        'qualified_by'               => 'Qualified by',
        'created_by'                 => 'Created by',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
