<?php

namespace Bixo\Lead\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Lead\Models\Blacklist;


class BlacklistAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.lead.blacklist';
    protected $eventClass = \Bixo\Lead\Events\BlacklistAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Blacklist $blacklist, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $blacklist;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Blacklist $blacklist, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $blacklist = $blacklist->create($attributes);
        return $blacklist;
    }

    public function update(Blacklist $blacklist, array $request)
    {
        $attributes = $request;
        $blacklist->update($attributes);
        return $blacklist;
    }

    public function destroy(Blacklist $blacklist, array $request)
    {
        $blacklist->delete();
        return $blacklist;
    }

    public function copy(Blacklist $blacklist, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $blacklist = $blacklist->replicate();
            $blacklist->created_at = Carbon::now();
            $blacklist->save();
            return $blacklist;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $blacklist->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $blacklist;
    }


}
