<?php

namespace Bixo\Lead\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Lead\Models\Lead;


class LeadAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.lead.lead';
    protected $eventClass = \Bixo\Lead\Events\LeadAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Lead $lead, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $lead;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Lead $lead, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $lead = $lead->create($attributes);
        return $lead;
    }

    public function update(Lead $lead, array $request)
    {
        $attributes = $request;
        $lead->update($attributes);
        return $lead;
    }

    public function destroy(Lead $lead, array $request)
    {
        $lead->delete();
        return $lead;
    }

    public function copy(Lead $lead, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $lead = $lead->replicate();
            $lead->created_at = Carbon::now();
            $lead->save();
            return $lead;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $lead->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $lead;
    }


}
