<?php

namespace Bixo\Lead\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Lead\Http\Requests\LeadActionsRequest;
use Bixo\Lead\Actions\LeadActions;

/**
 * Admin web controller class.
 */
class LeadActionsController extends BaseController
{

    /**
     * Action controller function for lead.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(LeadActionsRequest $request, $action)
    {
        try {
            $lead = LeadActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('lead::lead.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('lead/lead/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('lead/lead/' . $action))
                ->redirect();
        }
    }
}
