<?php

namespace Bixo\Lead\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Lead\Actions\LeadReport;
use Bixo\Lead\Http\Requests\LeadReportRequest;

/**
 * Admin web controller class.
 */
class LeadReportController extends BaseController
{
    /**
     * Action controller function for lead.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(LeadReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Lead::class);
            $data = LeadReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('lead::lead.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('lead/lead/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('lead/lead/' . $report))
                ->redirect();
        }
    }
}
