<?php

namespace Bixo\Lead\Policies;

use Bixo\Lead\Models\Blacklist;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait BlacklistAction
{

    /**
     * Determine if the given user can copy the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Blacklist $blacklist)
    {

        if ($authUser->canDo('lead.blacklist.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Blacklist $blacklist) {

        if ($authUser->canDo('lead.blacklist.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Blacklist $blacklist)
    {

        if ($authUser->canDo('lead.blacklist.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
