<?php

namespace Bixo\Lead\Policies;

use Bixo\Lead\Models\Blacklist;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait BlacklistWorkflow
{

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given blacklist.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Blacklist $blacklist)
    {
        if ($user->canDo('lead.blacklist.reject')) {
            return true;
        }

        return false;
    }

}
