<?php

namespace Bixo\Lead\Policies;

use Bixo\Lead\Models\Lead;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait LeadAction
{

    /**
     * Determine if the given user can copy the given lead.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Lead $lead)
    {

        if ($authUser->canDo('lead.lead.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given lead.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Lead $lead) {

        if ($authUser->canDo('lead.lead.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given lead.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Lead $lead)
    {

        if ($authUser->canDo('lead.lead.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
