<?php


namespace Bixo\Lead\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait LeadReport
{

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('lead.lead.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('lead.lead.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('lead.lead.report.download')) {
            return true;
        }

        return false;
    }
}
